---
# Feel free to add content and custom Front Matter to this file.
# To modify the layout, see https://jekyllrb.com/docs/themes/#overriding-theme-defaults

layout: home
---

<h1>Tutoriels</h1>

{% assign tags =  "" | split: "," %}
{% for post in site["tutoriels"] %}
    {% assign tags = tags | concat: post.tags | uniq %}
{% endfor %}

<script type="text/javascript">
    // functions
    //
    // borrowed from : https://langrsoft.com/2020/03/26/filtering-blog-posts-by-category-with-jekyll/

    SELECTED_COLOR = 'green'
    // set currentTag global variable.
    function setNewTagButtonColor(selectedTag) {
        if (typeof currentTag !== 'undefined') {
            catButton = document.getElementById(currentTag);
            catButton.style.backgroundColor = ''
        }
        currentTag = selectedTag // global variable by default.

        catButton = document.getElementById(currentTag);
        catButton.style.backgroundColor = SELECTED_COLOR
        
    }

    function filterUsingTag(selectedTag) {
        setNewTagButtonColor(selectedTag)

        var id = 0;
        console.log(selectedTag)
        {% for post in site["tutoriels"] %}            
            var cats = {{ post.tags | jsonify }}
            id += 1;
            
            var postDiv = document.getElementById(id);
            postDiv.style.display = (selectedTag == 'All' || cats.includes(selectedTag)) 
                ? 'unset' 
                : 'none';
        {% endfor %}
    }
</script>
  
<div style="margin-bottom: 50px;">
    Catégories : 
    <span>
        <button id="All" onclick="filterUsingTag('All')"><strong>toutes</strong></button>
        {% for cat in tags %}
                <button id="{{ cat }}" onclick="filterUsingTag(this.id)">{{ cat }}</button>
        {% endfor %}
    </span>
</div>

<div class="posts-wrapper">
{% assign id = 0 %}
<ul class="post-list">
    {% for post in site["tutoriels"] %}
        {% assign id = id | plus:1 %}
        <li id="{{id}}">
            
            <h3>
                <a class="post-link" href="{{ post.url | relative_url }}">
                  {{ post.title | escape }}
                </a>
              </h3>
              <div style="padding-left:20px;">
                <div>
                    catégories : 
                    {% for tag in post.tags %}
                    • <span class="post-meta">{{ tag }}</span>
                    {% endfor %}
                    • 
                </div>
                <p>
                    {{ post.excerpt }}
                </p>
                
              </div>                              
              
        </li>
    {%- endfor -%}        
</ul>
</div>

<script type="text/javascript">
// init 
setNewTagButtonColor('All')
</script>